# Class FillPlotter.FillStyle

java.lang.Object
uk.ac.starlink.ttools.plot2.layer.FillPlotter.FillStyle

All Implemented Interfaces:
  `Style`

Enclosing class:
  `FillPlotter`

public static class FillPlotter.FillStyle extends Object implements Style
Style for fill plot.

Since:
  15 Jan 2015
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`FillStyle(Color color, boolean isHorizontal, boolean isPositive)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`Icon`
`getLegendIcon()`
Returns an icon suitable for displaying in a legend for this style.
`int`
`hashCode()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FillStyle

public FillStyle(Color color, boolean isHorizontal, boolean isPositive)
Constructor.

Parameters:
  `color` - colour
  `isHorizontal` - true for horizontal fill, false for vertical
  `isPositive` - true to fill to positive infinity, false to fill to negative infinity

## Method Details

### getLegendIcon

public Icon getLegendIcon()
Description copied from interface: `Style`
Returns an icon suitable for displaying in a legend for this style.

Specified by:
  `getLegendIcon` in interface `Style`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`